Bug 601089 - [5.5] backtrace subcommand of crash command fails.
Summary: [5.5] backtrace subcommand of crash command fails.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: crash   
(Show other bugs)
Version: 5.5
Hardware: i386 Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Dave Anderson
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 572605
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-07 07:59 UTC by RHEL Product and Program Management
Modified: 2010-11-22 23:36 UTC (History)
9 users (show)

Fixed In Version: crash-4.1.2-4.el5_5.1
Doc Type: Bug Fix
Doc Text:
The "bt" subcommand of crash could not resolve the stack trace when an x86 NMI-interrupted task had just entered the kernel from user-space, but had not yet called the requested system call function. The same issue occurred when the resumption EIP address value of a newly forked x86 task was set to the "ret_from_fork" entry point by copy_thread(). This issue has been resolved in both cases.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 09:35:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0523 normal SHIPPED_LIVE crash bug fix update 2010-07-12 09:35:24 UTC

Description RHEL Product and Program Management 2010-06-07 07:59:54 UTC
This bug has been copied from bug #572605 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 8 errata-xmlrpc 2010-07-12 09:35:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0523.html

Comment 9 Florian Nadge 2010-07-14 10:18:40 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
The "bt" subcommand of crash could not resolve the stack trace when an x86 NMI-interrupted task had just entered the kernel from user-space, but had not yet called the requested system call function. The same issue occurred when the resumption EIP address value of a newly forked x86 task was set to the "ret_from_fork" entry point by copy_thread(). This issue has been resolved in both cases.


Note You need to log in before you can comment on or make changes to this bug.